/*  *************************************************************************
    *   copyright: (C) 2003 Richard Lärkäng <nouseforaname@home.se>         *
    *************************************************************************
*/

/*  *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#include "smsadd.h"
#include "smsaddcontactpage.h"
#include "kopeteaccount.h"

#include <tqlayout.h>
#include <tqlineedit.h>



SMSAddContactPage::SMSAddContactPage(TQWidget *parent, const char *name )
				  : AddContactPage(parent,name)
{
	(new TQVBoxLayout(this))->setAutoAdd(true);
	smsdata = new smsAddUI(this);
}

SMSAddContactPage::~SMSAddContactPage()
{

}

bool SMSAddContactPage::apply(Kopete::Account* a, Kopete::MetaContact* m)
{
	if ( validateData() )
	{
		TQString nr = smsdata->addNr->text();
		TQString name = smsdata->addName->text();

		return a->addContact( nr, m, Kopete::Account::ChangeKABC );
	}

	return false;
}


bool SMSAddContactPage::validateData()
{
	return true;
}

#include "smsaddcontactpage.moc"
